Subject: Bug#623: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go

From: Mike Gabriel <[email-masked]>
Date: Thu, 02 Oct 2014 10:12:23 +0000

Control: severity -1 grave

Hi Martin,

On  Do 02 Okt 2014 10:49:13 CEST, Babutzka, Martin (EKP) wrote:

> After the apt update to x2goserver 4.0.1.16 it is not possible to  
> create new connections to the x2goserver. It must be connected to  
> the modifications in the location of the session directories.
> There was no server restart after the update (and can also not be  
> executed), there were suspended and active sessions from the old  
> x2goserver.
> Any try to create a new connection ends up with the client status  
> hang during "Starting" followed up by a time out error after a while.
> The syslog is filled with messages like this:
> Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]:  
> neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this  
> session does not exists:  
> /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/state  
> (this can be ignored during session startups)
>
> The system is an Ubuntu 14.04.1 LTS on the most recent state. These  
> other x2goserver related packages (x2goserver-extensions,  
> x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession) are  
> also installed and at version 4.0.1.16. The remaining server  
> configuration is complex using LDAP users and tmpreaper to regularly  
> clean up tmp - but these directories are protected from clean-up  
> '/tmp/.X11-unix /tmp/.x2go*'. It always worked with 4.0.1.15 and I  
> truly liked the functionality of the x2go software.

This is a severe issue. I though this to be fixed [1], but just now  
found two other places (in x2golistsessions and x2golistsessions_root)  
where the X2Go Server can break running (non-state-file) sessions.

Are you able to and available for build(ing)+install(ing) x2goserver  
4.0.1.17-pre from Git for a test run (things cannot get worse for  
you...)?

Mike

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f243553a7fb5982c2283da39ecb4241e787dab28

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb